<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.16.0 -->
<interface>
  <requires lib="gtk+" version="3.10"/>
  <object class="GtkListStore" id="liststore">
    <columns>
      <!-- column-name DATE -->
      <column type="gint"/>
      <!-- column-name TITLE -->
      <column type="gchararray"/>
      <!-- column-name LOCATION -->
      <column type="gchararray"/>
    </columns>
  </object>
  <template class="EphyHistoryWindow" parent="GtkDialog">
    <property name="height_request">500</property>
    <property name="can_focus">False</property>
    <property name="border_width">0</property>
    <property name="modal">True</property>
    <property name="window_position">center</property>
    <property name="default_width">1000</property>
    <property name="default_height">600</property>
    <property name="destroy_with_parent">True</property>
    <property name="type_hint">dialog</property>
    <child internal-child="headerbar">
      <object class="GtkHeaderBar" id="headerbar1">
        <property name="title" translatable="yes">History</property>
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="show-close-button">True</property>
        <child>
          <object class="GtkButton" id="clear_button">
            <property name="label" translatable="yes">C_lear All</property>
            <property name="visible">True</property>
            <property name="can_focus">True</property>
            <property name="can_default">True</property>
            <property name="receives_default">False</property>
            <property name="use_underline">True</property>
            <property name="valign">center</property>
            <style>
              <class name="destructive-action"/>
              <class name="text-button"/>
            </style>
          </object>
          <packing>
            <property name="pack_type">start</property>
          </packing>
        </child>
      </object>
    </child>
    <child internal-child="vbox">
      <object class="GtkBox" id="dialog-vbox2">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="orientation">vertical</property>
        <property name="spacing">2</property>
        <child internal-child="action_area">
          <object class="GtkButtonBox" id="dialog-action_area2">
            <property name="visible">False</property>
            <property name="can_focus">False</property>
            <property name="layout_style">end</property>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="pack_type">end</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox" id="box1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="border_width">5</property>
            <property name="orientation">vertical</property>
            <property name="spacing">6</property>
            <child>
              <object class="GtkSearchEntry" id="searchentry1">
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="primary_icon_name">edit-find-symbolic</property>
                <property name="primary_icon_activatable">False</property>
                <property name="primary_icon_sensitive">False</property>
                <property name="placeholder_text" translatable="yes">Search history</property>
                <signal name="search-changed" handler="on_search_entry_changed" object="EphyHistoryWindow" swapped="no"/>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkBox" id="box2">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="border_width">0</property>
                <property name="orientation">vertical</property>
                <child>
                  <object class="GtkScrolledWindow" id="scrolledwindow1">
                    <property name="width_request">400</property>
                    <property name="height_request">300</property>
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="shadow_type">in</property>
                    <property name="min_content_width">300</property>
                    <property name="min_content_height">300</property>
                    <child>
                      <object class="GtkTreeView" id="treeview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="model">liststore</property>
                        <property name="enable_search">False</property>
                        <property name="search_column">0</property>
                        <property name="fixed-height-mode">True</property>
                        <signal name="button-press-event" handler="on_treeview_button_press_event" object="EphyHistoryWindow" swapped="no"/>
                        <signal name="key-press-event" handler="on_treeview_key_press_event" object="EphyHistoryWindow" swapped="no"/>
                        <signal name="row-activated" handler="on_treeview_row_activated" swapped="no"/>
                        <child internal-child="selection">
                          <object class="GtkTreeSelection" id="treeview-selection">
                            <property name="mode">multiple</property>
                            <signal name="changed" handler="on_treeview_selection_changed" object="EphyHistoryWindow" swapped="no"/>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="date_column">
                            <property name="sizing">fixed</property>
                            <property name="fixed-width">150</property>
                            <property name="title" translatable="yes">Date</property>
                            <property name="clickable">True</property>
                            <property name="sort_indicator">True</property>
                            <property name="sort_order">descending</property>
                            <signal name="clicked" handler="on_treeview_column_clicked_event" object="EphyHistoryWindow" swapped="no"/>
                            <child>
                              <object class="GtkCellRendererText" id="date_renderer"/>
                              <attributes>
                                <attribute name="text">0</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="name_column">
                            <property name="sizing">fixed</property>
                            <property name="fixed-width">500</property>
                            <property name="title" translatable="yes">Name</property>
                            <property name="clickable">True</property>
                            <signal name="clicked" handler="on_treeview_column_clicked_event" object="EphyHistoryWindow" swapped="no"/>
                            <child>
                              <object class="GtkCellRendererText" id="cellrenderertext2">
                                <property name="ellipsize">end</property>
                              </object>
                              <attributes>
                                <attribute name="text">1</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="location_column">
                            <property name="sizing">fixed</property>
                            <property name="fixed-width">200</property>
                            <property name="title" translatable="yes">Location</property>
                            <property name="clickable">True</property>
                            <signal name="clicked" handler="on_treeview_column_clicked_event" object="EphyHistoryWindow" swapped="no"/>
                            <child>
                              <object class="GtkCellRendererText" id="location_renderer">
                                <property name="ellipsize">end</property>
                              </object>
                              <attributes>
                                <attribute name="text">2</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">True</property>
                    <property name="fill">True</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkToolbar" id="toolbar1">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="icon_size">1</property>
                    <child>
                      <object class="GtkToolItem" id="toolitem1">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <child>
                          <object class="GtkBox" id="remove_button_box">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <child>
                              <object class="GtkButton" id="remove_button">
                                <property name="visible">True</property>
                                <property name="sensitive">False</property>
                                <property name="can_focus">False</property>
                                <property name="receives_default">False</property>
                                <property name="use_underline">True</property>
                                <property name="tooltip_text" translatable="yes">Remove the selected pages from history</property>
                                <signal name="clicked" handler="on_remove_button_clicked" object="EphyHistoryWindow" swapped="no"/>
                                <child>
                                  <object class="GtkImage" id="remove_image">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">list-remove-symbolic</property>
                                    <property name="icon_size">1</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="homogeneous">True</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkSeparatorToolItem" id="toolbutton1">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="draw">False</property>
                      </object>
                      <packing>
                        <property name="expand">True</property>
                        <property name="homogeneous">True</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkToolItem" id="toolitem2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <child>
                          <object class="GtkBox" id="open_button_box">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <child>
                              <object class="GtkButton" id="open_button">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="receives_default">False</property>
                                <property name="use_underline">True</property>
                                <property name="tooltip_text" translatable="yes">Open the selected pages in new tabs</property>
                                <signal name="clicked" handler="on_open_button_clicked" object="EphyHistoryWindow" swapped="no"/>
                                <child>
                                  <object class="GtkImage" id="open_image">
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="icon_name">go-jump-symbolic</property>
                                    <property name="icon_size">1</property>
                                  </object>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                          </object>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="homogeneous">False</property>
                      </packing>
                    </child>
                    <style>
                      <class name="inline-toolbar"/>
                    </style>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">True</property>
                    <property name="pack_type">end</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
    <action-widgets>
      <action-widget response="-2">clear_button</action-widget>
    </action-widgets>
  </template>
  <object class="GtkMenu" id="treeview_popup_menu">
    <property name="visible">True</property>
    <property name="can_focus">False</property>
    <child>
      <object class="GtkMenuItem" id="open_menuitem">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">_Open</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_open_menuitem_activate" object="EphyHistoryWindow" swapped="no"/>
      </object>
    </child>
    <child>
      <object class="GtkMenuItem" id="copy_location_menuitem">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">_Copy Location</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_copy_location_menuitem_activate" object="EphyHistoryWindow" swapped="no"/>
      </object>
    </child>
    <child>
      <object class="GtkMenuItem" id="bookmark_menuitem">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">Add _Bookmark</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_bookmark_menuitem_activate" object="EphyHistoryWindow" swapped="no"/>
      </object>
    </child>
    <child>
      <object class="GtkMenuItem" id="delete_menuitem">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">_Delete</property>
        <property name="use_underline">True</property>
        <signal name="activate" handler="on_delete_menuitem_activate" object="EphyHistoryWindow" swapped="no"/>
      </object>
    </child>
  </object>
</interface>
